<?php

namespace App\Database;

use App\Core\Database;

/**
 * ITSWEBER CMS – Migration Base Class
 */
abstract class Migration
{
    protected Database $db;

    public function __construct(Database $db)
    {
        $this->db = $db;
    }

    abstract public function up(): void;
    abstract public function down(): void;
}
